CVE-2017-5448

HIGH

Description

An out-of-bounds write in "ClearKeyDecryptor" while decrypting some Clearkey-encrypted media content. The "ClearKeyDecryptor" code runs within the Gecko Media Plugin (GMP) sandbox. If a second mechanism is found to escape the sandbox, this vulnerability allows for the writing of arbitrary data within memory, resulting in a potentially exploitable crash. This vulnerability affects Firefox ESR < 45.9, Firefox ESR < 52.1, and Firefox < 53.

References

http://www.securityfocus.com/bid/97940

http://www.securitytracker.com/id/1038320

https://access.redhat.com/errata/RHSA-2017:1104

https://access.redhat.com/errata/RHSA-2017:1106

https://bugzilla.mozilla.org/show_bug.cgi?id=1346648

https://www.debian.org/security/2017/dsa-3831

https://www.mozilla.org/security/advisories/mfsa2017-10/

https://www.mozilla.org/security/advisories/mfsa2017-11/

https://www.mozilla.org/security/advisories/mfsa2017-12/

Details

Source: MITRE

Published: 2018-06-11

Updated: 2018-08-09

Type: CWE-787

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 8.6

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

Impact Score: 4.7

Exploitability Score: 3.9

Severity: HIGH